#Josef Laimer, University of Salzburg, 2010
import chimera.extension
 
#    Class 'MainChainEMO' is the derived class.
class MaskBuilderEMO(chimera.extension.EMO):
    # Return the actual name of the extension.
    def name(self):
        return 'Mask Builder'
 
    # Return the short description that typically appears as
    # balloon help or in the Tools preference category.
    def description(self):
        return 'Mask Builder'
 
    # Return the categories in which this extension should appear.
    # It is either a list or a dictionary.  If it is a dictionary
    # then the keys are the category names and the values are
    # category-specific descriptions (and the description() method
    # above is ignored).
    def categories(self):
        return ['BioDApps']
 
    # Return the name of a file containing an icon that may be used
    # on the tool bar to provide a shortcut for launching the extension.
    def icon(self):
        return self.path('icon.gif')
   
    #Invoke the extension
    def activate(self):
    # Call the Prosa dialog gui.
#        from chimera import dialogs
#        dialogs.display(self.module("gui").MaskBuilderDialog.name)
        self.module().startGUI()
       
 
# Register an instance of 'MainChainEMO' with the Chimera
# extension manager.
chimera.extension.manager.registerExtension(MaskBuilderEMO(__file__))