import chimera.extension

class PiratesEmo(chimera.extension.EMO ):
    """
    Is needed to add an Add-On to Chimera
    """
    
    def name(self):
        """
        Defines the name of the addon in chimera
        """      
        return 'PIRATES'
    
    def description(self):
        """
        Defines the description of the addon in chimera
        """ 
        return 'PIRATES  - a meta server for multiple structure alignment.'
    
    def categories(self):
        """
        Defines the menuSubItem of the addon in chimera
        """
        return ['BioDApps', 'PIRATES']
    
    def icon(self):
        """
        Add an Icon to the name (not implemented)
        """
        return self.path('logo.png')
    
    def activate(self):
        """
        Adds the Add-On to chimera (tells chimera that there is a new Add-On)
        """      
        from chimera import dialogs
        d = dialogs.display(self.module('gui').PiratesDialog.name)  # @UnusedVariable
        return None


emo = PiratesEmo(__file__)
chimera.extension.manager.registerExtension(emo)